%define anolis_release 3
%define debug_package %{nil}

%global pypi_name platformdirs
%global pypi_version 2.6.2

Name:           python-platformdirs
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".
License:        MIT License
URL:            https://pypi.org/project/platformdirs/
Source0:        https://files.pythonhosted.org/packages/cf/4d/198b7e6c6c2b152f4f9f4cdf975d3590e33e63f1920f2d89af7f0390e6db/platformdirs-2.6.2.tar.gz

BuildRequires:  gcc cmake
BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-packaging
BuildArch:      noarch

%description
Python module for determining appropriate platform-specific dirs


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{description}
%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -r -i '/^[[:blank:]]*"pytest-cov\b/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/platformdirs-%{version}.dist-info/licenses/LICENSE.txt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.rst 


%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.6.2-3
- Rebuild with python3.11

* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 2.6.2-2
- rebuild to fix the version error

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.6.2-1
- update to version 2.6.2

* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 2.5.2-1
- init package from upstream
